package com.yeejoin.amos.kgd.config;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

public class ConfigName {
    private Properties properties = new Properties();
    public ConfigName(String path) {
        try {
            InputStream inputStream = new FileInputStream(path);
        }catch (IOException e){
            e.printStackTrace();
        }
    }
    public String getProperty(String key) {
        return properties.getProperty(key);
    }

    public static void main(String[] args) {
        String path = "D:\\KGD_7.31\\amos-boot-biz\\amos-boot-system-kgd\\src\\main\\resources\\application-dev.properties";
        ConfigName configName = new ConfigName(path);
        String data = configName.getProperty("kgd.data.keyValue");
        System.out.println(data);
    }
}

